package com.hfkj.model;

import ch.qos.logback.core.db.dialect.DBUtil;

import javax.xml.crypto.Data;

/**
 * 对外的门店信息内容
 * @author sum1dream
 */
public class OpenStoreModel {

    // 门店地址
    private String address;

    // 门头照
    private String doorHeadImg;

    // 门店名称
    private String storeName;

    // 父类行业分类id
    private Long parentId;

    // 子类行业分类id
    private Long childId;

    // 父类行业分类名称
    private String parentName;

    // 子类行业分类名称
    private String childName;

    // 门店状态 0：删除  1：正常  2：停用   3：审核中   4：审核失败
    private Integer storeStatus;


    // 唯独
    private String latitude;

    // 经度
    private String longitude;

    // 创建时间
    private Data storeCreateTime;

    private Double distance;

    public Double getDistance() {
        return distance;
    }

    public void setDistance(Double distance) {
        this.distance = distance;
    }

    public String getLatitude() {
        return latitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }

    public String getLongitude() {
        return longitude;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }


    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }


    public String getDoorHeadImg() {
        return doorHeadImg;
    }

    public void setDoorHeadImg(String doorHeadImg) {
        this.doorHeadImg = doorHeadImg;
    }

    public String getStoreName() {
        return storeName;
    }

    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    public Long getParentId() {
        return parentId;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    public Long getChildId() {
        return childId;
    }

    public void setChildId(Long childId) {
        this.childId = childId;
    }

    public String getParentName() {
        return parentName;
    }

    public void setParentName(String parentName) {
        this.parentName = parentName;
    }

    public String getChildName() {
        return childName;
    }

    public void setChildName(String childName) {
        this.childName = childName;
    }

    public Integer getStoreStatus() {
        return storeStatus;
    }

    public void setStoreStatus(Integer storeStatus) {
        this.storeStatus = storeStatus;
    }

    public Data getStoreCreateTime() {
        return storeCreateTime;
    }

    public void setStoreCreateTime(Data storeCreateTime) {
        this.storeCreateTime = storeCreateTime;
    }
}
